commit:     6f33e5ab53e1d6b6444cb7a4b820c3a2bb5b3e94
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Sep 21 21:11:34 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Sep 23 17:08:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f33e5ab

x11-plugins/pidgin-telegram: bump to version 1.4.2

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Closes: https://github.com/gentoo/gentoo/pull/13001
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-plugins/pidgin-telegram/Manifest               |  1 +
 .../pidgin-telegram/pidgin-telegram-1.4.2.ebuild   | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/x11-plugins/pidgin-telegram/Manifest 
b/x11-plugins/pidgin-telegram/Manifest
index bac3780166b..ab08164bedf 100644
--- a/x11-plugins/pidgin-telegram/Manifest
+++ b/x11-plugins/pidgin-telegram/Manifest
@@ -1 +1,2 @@
 DIST telegram-purple_1.4.1.orig.tar.gz 482389 BLAKE2B 
84c753c5dcdb8e66d1ec56d5307d3489780e932032f382e2d026ad4b6529d4c161e677483a794e56e6388cd76164d9b93955828f5cfc7b199ff8fa8314ad8951
 SHA512 
335da688021d2401122065f9089b86b6ccba6e812b06d8d8bc96e0defbbe693b35c1f981f5bf772ebc2577ab60ac7e97ce08d72361bcd17b27fc11740084ff1a
+DIST telegram-purple_1.4.2.orig.tar.gz 484790 BLAKE2B 
d198ce3d1a5f4d226d48b6ff1cdf6f0899a5a1b79ef74c8ac77afa613aae5ec1cf53c8de69cfbab6b2f70df896be0315a90470f2b0da34d1644103be8e7d96ad
 SHA512 
f2f88de8dd4038adaa1a63f2fa3678dd45ddda051be700d6eca563f4bd5b7c8dcb61fdf60bffb01b3fce0ffd01f7b2524686d997bfe4ca8b191cc7b6ce7375a1

diff --git a/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.2.ebuild 
b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.2.ebuild
new file mode 100644
index 00000000000..77aeab01a2e
--- /dev/null
+++ b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A libpurple protocol plugin that adds support for the Telegram 
messenger"
+HOMEPAGE="https://github.com/majn/telegram-purple";
+SRC_URI="https://github.com/majn/telegram-purple/releases/download/v${PV}/telegram-purple_${PV}.orig.tar.gz";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="gcrypt libressl +nls +webp"
+
+RDEPEND="net-im/pidgin
+       sys-libs/zlib:=
+       gcrypt? ( dev-libs/libgcrypt:0= )
+       !gcrypt? (
+               libressl? ( dev-libs/libressl:0= )
+               !libressl? ( dev-libs/openssl:0= )
+       )
+       webp? ( media-libs/libwebp:= )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/telegram-purple"
+
+DOCS=( "AUTHORS" "CHANGELOG.md" "HACKING.md" "HACKING.BUILD.md" "README.md" )
+
+src_prepare() {
+       default
+
+       # Remove '-Werror' to make it compile
+       find -name 'Makefile*' -exec sed -i -e 's/-Werror //'  {} + || die
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable gcrypt)
+               $(use_enable nls translation)
+               $(use_enable webp libwebp)
+       )
+
+       econf "${myeconfargs[@]}"
+}

Reply via email to